Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class EntityImpl

    java.lang.Object
      com.beasys.commerce.foundation.EntityImpl

All Implemented Interfaces
  RelationalReference, Serializable, javax.ejb.EnterpriseBean, javax.ejb.EntityBean

Direct Known Subclasses:
  OrderImpl, PaymentTransactionImpl, ShippingMethodImpl

Deprecated

    @Deprecated
    public class EntityImpl

extends Object
implements javax.ejb.EntityBean, RelationalReference

This is the base implementation of the Business Smart Component (BSC) entity interface. For each BSC Entity derived interface, there will be a corresponding BSC EntityImpl with business methods that are mirrored. It also provides storage for an EntityContext and an implementation of the Set and Get Entity Context methods.

See Also
  `Entity`, Serialized Form

Field Summary
`String` | `__classIdentifier` Deprecated
`SmartEntityReference` | `__containingEntity` Deprecated
`Object` | `__mapKey` Deprecated
`Long` | `__sequenceNumber` Deprecated
`javax.ejb.EntityContext` | `_ctx` Deprecated
`protected Context` | `_environmentNamingContext` Deprecated
`protected Hashtable` | `_environmentPropertyCache` Deprecated
`boolean` | `_isDirty` Deprecated
`protected SmartBMP` | `_smartBMP` Deprecated

Constructor Summary
`EntityImpl()` Deprecated EntityImpl constructor.

Method Summary
`protected void` | `bscInitializeAttributes(SmartKey pk)` Deprecated Initialize this object's attributes.
`void` | `clearRelationalBinding(String attributeIdentifier, Collection collection)` Deprecated
`void` | `clearRelationalBinding(String attributeIdentifier, Collection collection, Object o)` Deprecated
`void` | `clearRelationalBinding(String attributeIdentifier, Map map)` Deprecated
`void` | `clearRelationalBinding(String attributeIdentifier, Map map, Object key)` Deprecated
`protected Collection` | `doRelationalBinding(String attributeIdentifier, Collection collection)` Deprecated Add relational information to each element in a collection, AND synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected Map` | `doRelationalBinding(String attributeIdentifier, Map map)` Deprecated Add relational information to each element in a map, AND synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected Belonging` | `doRelationalBindingOnElement(String attributeIdentifier, Belonging value)` Deprecated Add relational information to a belonging This feature is implemented by a plugin and by default is turned off
`protected javax.ejb.EJBObject` | `doRelationalBindingOnElement(String attributeIdentifier, javax.ejb.EJBObject value)` Deprecated Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off
`protected Object` | `doRelationalBindingOnElement(String attributeIdentifier, Object value)` Deprecated Add relational information to a dependent object.
`protected Belonging` | `doRelationalBindingOnSingleton(String attributeIdentifier, Belonging value)` Deprecated Add relational information to a belonging This feature is implemented by a plugin and by default is turned off
`protected javax.ejb.EJBObject` | `doRelationalBindingOnSingleton(String attributeIdentifier, javax.ejb.EJBObject ejbObject)` Deprecated Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off
`protected Object` | `doRelationalBindingOnSingleton(String attributeIdentifier, Object value)` Deprecated Add relational information to a dependent object.
`protected Object` | `doRelationalBindingWithMapKey(String attributeIdentifier, Belonging belonging, Object key)` Deprecated Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected javax.ejb.EJBObject` | `doRelationalBindingWithMapKey(String attributeIdentifier, javax.ejb.EJBObject ejbObject, Object key)` Deprecated Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected Object` | `doRelationalBindingWithMapKey(String attributeIdentifier, Object object, Object key)` Deprecated Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off
`void` | `ejbActivate()` Deprecated ejbActivate method.
`SmartKey` | `ejbCreate(SmartKey pk)` Deprecated ejbCreate method.
`Enumeration` | `ejbFindAll()` Deprecated ejbFindAll method.
`SmartKey` | `ejbFindByPrimaryKey(SmartKey pk)` Deprecated ejbFindByPrimaryKey method.
`void` | `ejbLoad()` Deprecated ejbLoad method.
`void` | `ejbPassivate()` Deprecated ejbPassivate method.
`void` | `ejbPostCreate(SmartKey key)` Deprecated ejbPostCreate method.
`void` | `ejbRemove()` Deprecated ejbRemove method.
`void` | `ejbStore()` Deprecated ejbStore method.
`protected Collection` | `enumerateRelationalBinding(String attributeIdentifier, Collection collection)` Deprecated Add relational information to each element in a collection, but do not synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected Map` | `enumerateRelationalBinding(String attributeIdentifier, Map map)` Deprecated Add relational information to each element in a map, but do not synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off
`String` | `get__classIdentifier()` Deprecated Get class identifier for this object (used to persist subclasses in a single collection or map)
`Belonging` | `get__containingBelonging()` Deprecated Get foreign key information about the bean that contains this object
`javax.ejb.EJBObject` | `get__containingEntity()` Deprecated Get foreign key information about the bean that contains this object
`SmartEntityReference` | `get__containingEntityReference()` Deprecated
`Object` | `get__mapKey()` Deprecated get map key
`Long` | `get__sequenceNumber()` Deprecated Get the sequencer number
`javax.ejb.EntityContext` | `getEntityContext()` Deprecated getEntityContext method.
`protected Context` | `getEnvironmentNamingContext()` Deprecated Returns the bean's environment naming context.
`Object` | `getEnvironmentProperty(String propertyName)` Deprecated This method returns the value of the specified environment property.
`Object` | `getEnvironmentProperty(String propertyName, Object defaultValue)` Deprecated This method returns the value of the specified environment property or the specified default value if the environment property is not found.
`protected Hashtable` | `getEnvironmentPropertyCache()` Deprecated Returns the bean's environment property cache
`PersistenceHelperPlugin` | `getPersistenceHelperPlugin()` Deprecated Returns a PersistenceHelperPlugin object for the entity bean.
`protected SmartBMP` | `getSmartBMP()` Deprecated Returns the smartBMP cache.
`protected SmartBMP` | `initSmartBMP()` Deprecated Attempts to initialize the SmartBMP cached information by looking up "SmartBMPClass" in the environment properties.
`boolean` | `isModified()` Deprecated This method is used by some containers to evaluate if the bean has been modified and it must be persisted.
`protected void` | `set__classIdentifier(String classIdentifier)` Deprecated Derived classes use this to set the class identifier
`void` | `set__containingBelonging(Belonging belonging)` Deprecated Provides foreign key information about the bean that contains this object
`void` | `set__containingEntity(javax.ejb.EJBObject containingEntity)` Deprecated Provides foreign key information about the bean that contains this object
`void` | `set__containingEntityReference(SmartEntityReference smartEntityReference)` Deprecated
`void` | `set__mapKey(Object mapKey)` Deprecated Provides map key information
`void` | `setEntityContext(javax.ejb.EntityContext ctx)` Deprecated setEntityContext method.
`void` | `unsetEntityContext()` Deprecated unsetEntityContext method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _isDirty

    public transient boolean _isDirty

  Deprecated

### _ctx

    public javax.ejb.EntityContext _ctx

  Deprecated

### _smartBMP

    protected transient SmartBMP _smartBMP

  Deprecated

### _environmentNamingContext

    protected transient Context _environmentNamingContext

  Deprecated

### _environmentPropertyCache

    protected transient Hashtable _environmentPropertyCache

  Deprecated

### __containingEntity

    public SmartEntityReference __containingEntity

  Deprecated

### __mapKey

    public Object __mapKey

  Deprecated

### __sequenceNumber

    public Long __sequenceNumber

  Deprecated

### __classIdentifier

    public String __classIdentifier

  Deprecated

Constructor Detail

### EntityImpl

    public EntityImpl()

  Deprecated
  EntityImpl constructor.

Method Detail

### bscInitializeAttributes

    protected void bscInitializeAttributes(SmartKey pk)
                                    throws javax.ejb.CreateException

  Deprecated
  Initialize this object's attributes.

  Throws
    `javax.ejb.CreateException`

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Deprecated
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `javax.ejb.EntityBean`
  Throws
    `javax.ejb.EJBException`

### ejbCreate

    public SmartKey ejbCreate(SmartKey pk)
                       throws javax.ejb.CreateException,
                              javax.ejb.EJBException

  Deprecated
  ejbCreate method.

  Throws
    `javax.ejb.CreateException`
    `javax.ejb.EJBException`

### ejbFindAll

    public Enumeration ejbFindAll()
                           throws javax.ejb.FinderException,
                                  javax.ejb.EJBException

  Deprecated
  ejbFindAll method.

  Throws
    `javax.ejb.FinderException`
    `javax.ejb.EJBException`

### ejbFindByPrimaryKey

    public SmartKey ejbFindByPrimaryKey(SmartKey pk)
                                 throws javax.ejb.FinderException,
                                        javax.ejb.EJBException

  Deprecated
  ejbFindByPrimaryKey method.

  Throws
    `javax.ejb.FinderException`
    `javax.ejb.EJBException`

### ejbLoad

    public void ejbLoad()
                 throws javax.ejb.EJBException

  Deprecated
  ejbLoad method.

  Specified by:
    `ejbLoad` in interface `javax.ejb.EntityBean`
  Throws
    `javax.ejb.EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Deprecated
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `javax.ejb.EntityBean`
  Throws
    `javax.ejb.EJBException`

### ejbPostCreate

    public void ejbPostCreate(SmartKey key)
                       throws javax.ejb.CreateException,
                              javax.ejb.EJBException

  Deprecated
  ejbPostCreate method.

  Throws
    `javax.ejb.CreateException`
    `javax.ejb.EJBException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.RemoveException,
                          javax.ejb.EJBException

  Deprecated
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `javax.ejb.EntityBean`
  Throws
    `javax.ejb.RemoveException`
    `javax.ejb.EJBException`

### ejbStore

    public void ejbStore()
                  throws javax.ejb.EJBException

  Deprecated
  ejbStore method.

  Specified by:
    `ejbStore` in interface `javax.ejb.EntityBean`
  Throws
    `javax.ejb.EJBException`

### setEntityContext

    public void setEntityContext(javax.ejb.EntityContext ctx)
                          throws javax.ejb.EJBException

  Deprecated
  setEntityContext method.

  Specified by:
    `setEntityContext` in interface `javax.ejb.EntityBean`
  Throws
    `javax.ejb.EJBException`

### unsetEntityContext

    public void unsetEntityContext()
                            throws javax.ejb.EJBException

  Deprecated
  unsetEntityContext method.

  Specified by:
    `unsetEntityContext` in interface `javax.ejb.EntityBean`
  Throws
    `javax.ejb.EJBException`

### getEntityContext

    public javax.ejb.EntityContext getEntityContext()

  Deprecated
  getEntityContext method.

### getEnvironmentNamingContext

    protected Context getEnvironmentNamingContext()
                                           throws NamingException

  Deprecated
  Returns the bean's environment naming context.

  Throws
    `NamingException` - - if a naming exception is encountered

### getEnvironmentPropertyCache

    protected Hashtable getEnvironmentPropertyCache()

  Deprecated
  Returns the bean's environment property cache

### getEnvironmentProperty

    public Object getEnvironmentProperty(String propertyName)
                                  throws NamingException

  Deprecated
  This method returns the value of the specified environment property.

  Throws
    `NamingException` - - if a naming exception is encountered

### getEnvironmentProperty

    public Object getEnvironmentProperty(String propertyName,
                                         Object defaultValue)
                                  throws NamingException

  Deprecated
  This method returns the value of the specified environment property or the specified default value if the environment property is not found.

  Throws
    `NamingException` - - if a naming exception is encountered

### getSmartBMP

    protected SmartBMP getSmartBMP()

  Deprecated
  Returns the smartBMP cache.

### initSmartBMP

    protected SmartBMP initSmartBMP()
                             throws SystemException

  Deprecated
  Attempts to initialize the SmartBMP cached information by looking up "SmartBMPClass" in the environment properties. If the "SmartBMPClass" property is found the method invokes the the SmartBMPFactory.createSmartBMP method to obtain the singleton instance and it caches it.

  Throws
    `SystemException`

### isModified

    public boolean isModified()

  Deprecated
  This method is used by some containers to evaluate if the bean has been modified and it must be persisted.

### get__sequenceNumber

    public Long get__sequenceNumber()

  Deprecated
  Get the sequencer number

  Specified by:
    `get__sequenceNumber` in interface `RelationalReference`

### get__mapKey

    public Object get__mapKey()

  Deprecated
  Description copied from interface: `RelationalReference`
  get map key

  Specified by:
    `get__mapKey` in interface `RelationalReference`
  Returns
    the mak key

### set__mapKey

    public void set__mapKey(Object mapKey)

  Deprecated
  Description copied from interface: `RelationalReference`
  Provides map key information

  Specified by:
    `set__mapKey` in interface `RelationalReference`
  Parameters
    `mapKey` - the key if this object is used in a map

### get__containingEntityReference

    public SmartEntityReference get__containingEntityReference()

  Deprecated

### set__containingEntityReference

    public void set__containingEntityReference(SmartEntityReference smartEntityReference)

  Deprecated

### set__containingEntity

    public void set__containingEntity(javax.ejb.EJBObject containingEntity)

  Deprecated
  Provides foreign key information about the bean that contains this object

  Specified by:
    `set__containingEntity` in interface `RelationalReference`
  Parameters
    `ejbObject` - remote interface of the containing bean
  Throws
    `ClassCastException` - source object is not an instance of %EntityType%

### get__containingEntity

    public javax.ejb.EJBObject get__containingEntity()

  Deprecated
  Get foreign key information about the bean that contains this object

  Specified by:
    `get__containingEntity` in interface `RelationalReference`
  Returns
    ejbObject remote interface of the containing bean

### set__classIdentifier

    protected void set__classIdentifier(String classIdentifier)

  Deprecated
  Derived classes use this to set the class identifier

### get__classIdentifier

    public String get__classIdentifier()

  Deprecated
  Get class identifier for this object (used to persist subclasses in a single collection or map)

  Specified by:
    `get__classIdentifier` in interface `RelationalReference`
  Returns
    class identifier for this object.

### set__containingBelonging

    public void set__containingBelonging(Belonging belonging)

  Deprecated
  Provides foreign key information about the bean that contains this object

  Specified by:
    `set__containingBelonging` in interface `RelationalReference`
  Parameters
    `ejbObject` - remote interface of the containing bean

### get__containingBelonging

    public Belonging get__containingBelonging()

  Deprecated
  Get foreign key information about the bean that contains this object

  Specified by:
    `get__containingBelonging` in interface `RelationalReference`
  Returns
    ejbObject remote interface of the containing bean
  Throws
    `ClassCastException` - source object is not an instance of the remote interface of the containing class.

### doRelationalBindingOnElement

    protected Object doRelationalBindingOnElement(String attributeIdentifier,
                                                  Object value)

  Deprecated
  Add relational information to a dependent object. This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a dependent object
    `entityImpl` - implementation of an entity bean
  Returns
    the input value with relational information added.

### doRelationalBindingOnElement

    protected Belonging doRelationalBindingOnElement(String attributeIdentifier,
                                                     Belonging value)

  Deprecated
  Add relational information to a belonging This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `belonging` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns
    the input value, with relational inforamtion added.

### doRelationalBindingOnElement

    protected javax.ejb.EJBObject doRelationalBindingOnElement(String attributeIdentifier,
                                                               javax.ejb.EJBObject value)

  Deprecated
  Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of an EJB object
    `entityImpl` - implementation of an entity bean
  Returns
    the input value, with relational information added.

### doRelationalBindingOnSingleton

    protected Object doRelationalBindingOnSingleton(String attributeIdentifier,
                                                    Object value)

  Deprecated
  Add relational information to a dependent object. This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a dependent object
    `entityImpl` - implementation of an entity bean
  Returns
    the input value with relational information added.

### doRelationalBindingOnSingleton

    protected Belonging doRelationalBindingOnSingleton(String attributeIdentifier,
                                                       Belonging value)

  Deprecated
  Add relational information to a belonging This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `belonging` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns
    the input value, with relational inforamtion added.

### doRelationalBindingOnSingleton

    protected javax.ejb.EJBObject doRelationalBindingOnSingleton(String attributeIdentifier,
                                                                 javax.ejb.EJBObject ejbObject)

  Deprecated
  Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of an EJB object
    `entityImpl` - implementation of an entity bean
  Returns
    the input value, with relational information added.

### doRelationalBindingWithMapKey

    protected Object doRelationalBindingWithMapKey(String attributeIdentifier,
                                                   Object object,
                                                   Object key)

  Deprecated
  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### doRelationalBindingWithMapKey

    protected javax.ejb.EJBObject doRelationalBindingWithMapKey(String attributeIdentifier,
                                                                javax.ejb.EJBObject ejbObject,
                                                                Object key)

  Deprecated
  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### doRelationalBindingWithMapKey

    protected Object doRelationalBindingWithMapKey(String attributeIdentifier,
                                                   Belonging belonging,
                                                   Object key)

  Deprecated
  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### doRelationalBinding

    protected Collection doRelationalBinding(String attributeIdentifier,
                                             Collection collection)

  Deprecated
  Add relational information to each element in a collection, AND synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### doRelationalBinding

    protected Map doRelationalBinding(String attributeIdentifier,
                                      Map map)

  Deprecated
  Add relational information to each element in a map, AND synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `map` - the target map
  Returns
    the input map

### enumerateRelationalBinding

    protected Collection enumerateRelationalBinding(String attributeIdentifier,
                                                    Collection collection)

  Deprecated
  Add relational information to each element in a collection, but do not synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### enumerateRelationalBinding

    protected Map enumerateRelationalBinding(String attributeIdentifier,
                                             Map map)

  Deprecated
  Add relational information to each element in a map, but do not synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `map` - the target map
  Returns
    the input map

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Collection collection)

  Deprecated

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Collection collection,
                                       Object o)

  Deprecated

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Map map,
                                       Object key)

  Deprecated

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Map map)

  Deprecated

### getPersistenceHelperPlugin

    public PersistenceHelperPlugin getPersistenceHelperPlugin()

  Deprecated
  Returns a PersistenceHelperPlugin object for the entity bean. The PersistenceHelperPlugin created a new instance of the class defined by the "PersistenceHelperPlugin" environment property for the bean. If the environment property is not found, the "DefaultPersistenceHelperPlugin" value defined in the commerce.properties file is used to create the plugin.

  Returns
    PersistenceHelperPlugin specific class that implements PersistenceHelperPlugin or null, if no PersistenceHelperPlugin is specified.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.